# Generated by Django 2.0.1 on 2018-02-01 08:11

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('demands', '0003_auto_20180131_1800'),
    ]

    operations = [
        migrations.CreateModel(
            name='RequestForApprovalType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('required', models.BooleanField(default=True, help_text="Une requête d'approbation de ce type devra être approuvée pour que la demande soit valide.", verbose_name='requis')),
                ('default_enquirer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='request_for_approval_types', to=settings.AUTH_USER_MODEL, verbose_name='demandeur par défaut')),
            ],
            options={
                'verbose_name': "type de requête d'approbation",
                'verbose_name_plural': "types de requête d'approbation",
            },
        ),
        migrations.CreateModel(
            name='RequestForDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='', verbose_name='fichier')),
                ('motive', models.CharField(max_length=200, verbose_name='motif')),
                ('details', models.TextField(verbose_name='détails')),
                ('application', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='application_documents', to='demands.Application', verbose_name='demande')),
                ('enquirer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_documents', to=settings.AUTH_USER_MODEL, verbose_name='demandeur')),
            ],
            options={
                'verbose_name': 'requête de document',
                'verbose_name_plural': 'requêtes de document',
            },
        ),
        migrations.CreateModel(
            name='RequestForDocumentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('default_motive', models.CharField(max_length=200, verbose_name='motif par défaut')),
                ('default_enquirer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='request_for_document_types', to=settings.AUTH_USER_MODEL, verbose_name='demandeur par défaut')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_document_types', to='demands.ApplicationDocumentType', verbose_name='type')),
            ],
            options={
                'verbose_name': 'type de requête de document',
                'verbose_name_plural': 'types de requête de document',
            },
        ),
        migrations.RemoveField(
            model_name='applicationdocument',
            name='application',
        ),
        migrations.RemoveField(
            model_name='applicationdocument',
            name='type',
        ),
        migrations.RemoveField(
            model_name='requestforapproval',
            name='user',
        ),
        migrations.AddField(
            model_name='applicationtype',
            name='default_requests_for_approval',
            field=models.ManyToManyField(related_name='application_types', to='demands.RequestForApproval'),
        ),
        migrations.AddField(
            model_name='requestforapproval',
            name='creator',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_approval_created', to=settings.AUTH_USER_MODEL, verbose_name='demandeur'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='requestforapproval',
            name='target',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_approval_targeting', to=settings.AUTH_USER_MODEL, verbose_name='cible'),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='ApplicationDocument',
        ),
        migrations.AddField(
            model_name='requestfordocument',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='application_documents', to='demands.RequestForDocumentType', verbose_name='type de document'),
        ),
        migrations.AddField(
            model_name='applicationtype',
            name='default_requests_for_document',
            field=models.ManyToManyField(related_name='application_types', to='demands.RequestForDocument'),
        ),
        migrations.AddField(
            model_name='requestforapproval',
            name='type',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_approval', to='demands.RequestForApprovalType', verbose_name='type'),
            preserve_default=False,
        ),
    ]
